
exports.up = function(knex, Promise) {
    return knex.schema.createTable('requests', function (table){
        table.timestamps(true, true);
        table.increments('id');
        table.string('recipient').notNullable();
        table.text('message');
    }).then(()=>{
        return knex.schema.createTable('user_join_group', function (table) {
            table.inherits('requests');
            table.string('useruid').notNullable();
        }).then(()=>{
            return knex.schema.createTable('group_join_event', function (table){
                table.inherits('requests');
                table.string('eventuid').notNullable();
                table.string('senderuid').notNullable();
            }).then(() => {
                return knex.schema.createTable('your_group_host_event', function(table){
                    table.inherits('requests');
                    table.string('eventuid').notNullable();
                    table.string('senderuid').notNullable();
                });
            });
        });
    });
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable('your_group_host_event').then(() => {
        return knex.schema.dropTable('group_join_event').then(() => {
            return knex.schema.dropTable('user_join_group').then(() => {
                return knex.schema.dropTable('requests').then(() => {
                });
            });
        });
    });
};
